/*
John William Lynch
CSC 472 : Assignment 4
Know Your Government Final Assignment:
About Activity : Done
 */

package com.example.a472_a4;

import android.annotation.SuppressLint;
import android.content.Intent;
import android.graphics.Color;
import android.graphics.drawable.ColorDrawable;
import android.os.Bundle;
import android.text.Html;
import android.text.method.LinkMovementMethod;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.Window;
import android.view.WindowManager;
import android.widget.TextView;
import android.widget.Toast;

import androidx.appcompat.app.ActionBar;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.content.ContextCompat;

//////////////////////////////ALL MAIN ACTIVITY CREATION AND OBJECTS DECLARATIONS//////////////////


public class AboutActivity extends AppCompatActivity  {

    private MenuItem infoIcon;
    private MenuItem searchIcon;

    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_about);

        //This is for the About Code, here I set the text view to a certain string, underline it, and make it a hyperlink:
        //Set the text to be underlined and as a hyperlink:
        TextView textView = (TextView) findViewById(R.id.textView5);
        textView.setClickable(true);
        textView.setMovementMethod(LinkMovementMethod.getInstance());
        String text = "<a href='https://developers.google.com/civic-information/' style ='color:#FFFFFF'> Google Civic Information API </a>";
        textView.setText(Html.fromHtml(text));
        textView.setTextColor(Color.WHITE);
        //Set the color of the very top bar (the status bar):
        Window statusBar = this.getWindow();
        statusBar.clearFlags(WindowManager.LayoutParams.FLAG_TRANSLUCENT_STATUS);
        statusBar.addFlags(WindowManager.LayoutParams.FLAG_DRAWS_SYSTEM_BAR_BACKGROUNDS);
        statusBar.setStatusBarColor(ContextCompat.getColor(this,R.color.topStatusBarColor));
        //Now also change the menu again so that it maintains consistency:
        //Set the Title of the Project:
        setTitle("Know Your Government");
        //Set the color of the action and menu bar:
        ActionBar menuBar = getSupportActionBar();
        menuBar.setBackgroundDrawable(new ColorDrawable(ContextCompat.getColor(this.getApplicationContext(), R.color.menuBackground)));
    }


////////////////////////////////////////////////////////////////////////////////////////////////////

//////////////////////////////////CREATE ACTION MENU AND HIDE LOGOS:////////////////////////////////
    @Override
    public boolean onCreateOptionsMenu(Menu menu){

    getMenuInflater().inflate(R.menu.action_menu, menu);
    infoIcon = menu.findItem(R.id.infoIcon);
    infoIcon.setVisible(false);
    searchIcon = menu.findItem(R.id.locationSearchIcon);
    searchIcon.setVisible(false);

    return true;
}
}
////////////////////////////////////////////////////////////////////////////////////////////////////
