/*
John William Lynch
CSC 472 : Assignment 4
Know Your Government Final Assignment:
Main Activity :
 */
package com.example.a472_a4;

import androidx.annotation.NonNull;
import androidx.appcompat.app.ActionBar;
import androidx.appcompat.app.AppCompatActivity;

import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.swiperefreshlayout.widget.SwipeRefreshLayout;

import android.Manifest;
import android.annotation.SuppressLint;
import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.graphics.drawable.ColorDrawable;
import android.location.Address;
import android.location.Criteria;
import android.location.Geocoder;
import android.location.Location;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.AsyncTask;
import android.os.Build;
import android.os.Bundle;
import android.text.Html;
import android.text.InputFilter;
import android.text.method.LinkMovementMethod;
import android.util.Log;
import android.view.Gravity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Collections;
import java.util.Comparator;
import java.util.Date;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Locale;

import android.location.LocationManager;
import android.location.Address;
import android.location.Geocoder;
import android.os.Bundle;
import android.text.method.ScrollingMovementMethod;
import android.util.Log;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import java.io.IOException;
import java.util.List;
import java.util.Locale;
import java.util.Map;


import android.text.method.ScrollingMovementMethod;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import org.w3c.dom.Text;

import android.Manifest;
import android.annotation.SuppressLint;
import android.content.Context;
import android.location.Criteria;
import android.location.Location;
import android.location.LocationManager;
import android.os.Bundle;
/*
import android.support.v4.app.ActivityCompat;
import android.support.v4.content.ContextCompat;
import android.support.v7.app.AppCompatActivity;
 */
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;
import java.util.Locale;

import static android.content.pm.PackageManager.PERMISSION_GRANTED;

//////////////////////////////ALL MAIN ACTIVITY CREATION AND OBJECTS DECLARATIONS//////////////////
public class MainActivity extends AppCompatActivity implements View.OnClickListener {
    private static final String TAG = "onCreate";
    //Full stock list of stocks:
    private ArrayList<Official> officialArrayList = new ArrayList<>();
    //RecyclerView items:
    private RecyclerView recyclerView;
    //Swipe refresh:
    private SwipeRefreshLayout swiper;
    //Adapters:
    private OfficialAdapter officialAdapter;
    //Boolean to help with passing args between two async tasks:
    private boolean onFirstStart;
    ActionBar menuBar;

    private static int MY_LOCATION_REQUEST_CODE_ID = 329;

    //Variables to be used for location services:
    private LocationManager locationManager;
    private Criteria criteria;

    //Grab main activity for later use:
    MainActivity mainAct = this;

    @Override
    protected void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        //Set the Title of the Project:
        setTitle("Know Your Government");
        //Set the color of the action and menu bar:
        ActionBar menuBar = getSupportActionBar();
        menuBar.setBackgroundDrawable(new ColorDrawable(ContextCompat.getColor(this.getApplicationContext(), R.color.menuBackground)));
        //Set the color of the very top bar (the status bar):
        Window statusBar = this.getWindow();
        statusBar.clearFlags(WindowManager.LayoutParams.FLAG_TRANSLUCENT_STATUS);
        statusBar.addFlags(WindowManager.LayoutParams.FLAG_DRAWS_SYSTEM_BAR_BACKGROUNDS);
        statusBar.setStatusBarColor(ContextCompat.getColor(this, R.color.topStatusBarColor));

        //Create all required views next:
        //Create all required views:
        recyclerView = findViewById(R.id.mainRecyclerView);
        officialAdapter = new OfficialAdapter(officialArrayList, this);
        recyclerView.setAdapter(officialAdapter);
        recyclerView.setLayoutManager(new LinearLayoutManager(this));
        //Create swiper view:
        swiper = findViewById(R.id.swiper);
        swiper.setOnRefreshListener(new SwipeRefreshLayout.OnRefreshListener() {
            @Override
            public void onRefresh() {
                doRefresh();
            }
        });

        //More location variables:
        criteria = new Criteria();
        criteria.setPowerRequirement(Criteria.POWER_LOW);
        criteria.setAccuracy(Criteria.ACCURACY_MEDIUM);
        criteria.setAltitudeRequired(false);
        criteria.setBearingRequired(false);
        criteria.setSpeedRequired(false);
        locationManager = (LocationManager) getSystemService(Context.LOCATION_SERVICE);
        //Test if we are connected to the internet and do the test via connection:
        if (checkNetworkStatus() == false) {
            ((TextView) findViewById(R.id.locationPlaceholder)).setText("No Data For Location");
            noConnectionStartUp();
        } else if (checkNetworkStatus() == true) {
            //setLocation();
            if (ContextCompat.checkSelfPermission(this, Manifest.permission.ACCESS_FINE_LOCATION)
                    != PERMISSION_GRANTED) {
                ActivityCompat.requestPermissions(
                        this,
                        new String[]{
                                Manifest.permission.ACCESS_FINE_LOCATION
                        },
                        MY_LOCATION_REQUEST_CODE_ID);
            } else {
                setLocation();
            }
        }


        //Testing recyclerView:


    }

    //Extra methods for pause and resume:

    @Override
    protected void onResume(){
        super.onResume();

    }

    @Override
    protected void onPause() {
        super.onPause();
    }

    @Override
    protected void onStop(){
        super.onStop();
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
    }

////////////////////////////////////////////////////////////////////////////////////////////////////

    //////////////////////////////NETWORK CONNECTION TEST USAGE:////////////////////////////////////
    private boolean checkNetworkStatus() {
        ConnectivityManager cm = (ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE);
        if (cm == null) {
            Toast.makeText(this, "Cannot access ConnectivityManager", Toast.LENGTH_SHORT).show();
            return false;
        }

        NetworkInfo netInfo = cm.getActiveNetworkInfo();
        //If it is connected, return true. If not connected, return false:
        if (netInfo != null && netInfo.isConnected()) {
            return true;
        } else {
            return false;
        }
    }
    ////////////////////////////////////////////////////////////////////////////////////////////////

    //////////////////////////////CREATE ACTION MENU:///////////////////////////////////////////////////
    public boolean onCreateOptionsMenu(Menu menu) {
        Log.d(TAG, "onCreate: Created the options menu ");
        getMenuInflater().inflate(R.menu.action_menu, menu);
        return true;
    }

    public boolean onOptionsItemSelected(MenuItem item) {

        switch (item.getItemId()) {
            case R.id.infoIcon:
                //Open the About Activity:
                Intent infoIntent = new Intent(this, AboutActivity.class);
                this.startActivity(infoIntent);
                return true;
            case R.id.locationSearchIcon:
                createSearchDialog().show();

        }
        return super.onOptionsItemSelected(item);
    }


////////////////////////////////////////////////////////////////////////////////////////////////////

    //////////////////////////////CREATE ALL ONCLICK METHODS://///////////////////////////////////////////
    @Override
    public void onClick(View v) {
        //Toast.makeText(getApplicationContext(), "Item clicked on Main Act:", Toast.LENGTH_SHORT).show();
        //Pass the new Intent to open up the other activity which is the officialActivity:
        Intent newIntent = new Intent(MainActivity.this, OfficialActivity.class);
        int position = recyclerView.getChildLayoutPosition(v);
        Official currentOfficial = officialArrayList.get(position);
        newIntent.putExtra("MainActivity", currentOfficial);
        TextView currentLoc = findViewById(R.id.locationPlaceholder);
        newIntent.putExtra("CurrentLocation",(currentLoc.getText()).toString());
        startActivity(newIntent);
        /*
        newIntent.putExtra("locationHeader", ((TextView) findViewById(R.id.locationPlaceholder)).toString());
        //Create the bundle to pass the extra items over to it as well:
        Bundle bundle = new Bundle();
        //Will pass all of the object data via string over to the other object:
        bundle.putSerializable("Current Official", currentOfficial);
        newIntent.putExtras(bundle);
        startActivity(newIntent);
        */



    }
    ////////////////////////////////////////////////////////////////////////////////////////////////

    ////////////////////////////////CREATE ALL DIALOG METHODS//////////////////////////////////////
    public AlertDialog createSearchDialog() {
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setTitle("Enter a City, State, or a Zip Code:");
        final EditText requestedLocation = new EditText(this);
        //requestedSymbol.setInputType(InputType.TYPE_CLASS_TEXT | Gravity.CENTER);
        //requestedLocation.setInputType(Gravity.CENTER);
        requestedLocation.setGravity(Gravity.CENTER);
        requestedLocation.setFilters(new InputFilter[] {new InputFilter.AllCaps()});
        builder.setView(requestedLocation);
        builder.setPositiveButton("OK", new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int which) {
                String userRequestedLocation = requestedLocation.getText().toString();
                //Pass this information over to the geocoder:
                userRequestedLocation = doLocationName(userRequestedLocation);
                Log.d(TAG, "inCreateSearchDialog()" + userRequestedLocation);
                new AsyncOfficialDataDownloader(mainAct).execute(userRequestedLocation);
            }
        });
        builder.setNegativeButton("CANCEL", new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int which) {
                return;
            }
        });
        AlertDialog dialog = builder.create();
        return dialog;
    }

    public void noConnectionStartUp() {
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setTitle("No Network Connection");
        builder.setMessage("Data cannot be accessed/loaded without an internet connection");
        AlertDialog dialog = builder.create();
        dialog.show();
    }


    //////////////////////////////CREATE SWIPE REFRESH FUNCTION:////////////////////////////////////
    private void doRefresh() {
        Toast.makeText(getApplicationContext(), "Refresh Completed...Items Up To Date. Please Enter New ZipCode", Toast.LENGTH_SHORT).show();
        swiper.setRefreshing(false);
    }

    ////////////////////////////////////////////////////////////////////////////////////////////////

    ////////////////////////////////CREATE RECYCLER VIEW DISPLAY METHODS: ///////////////////////////
    public void setRecyclerOfficialList(ArrayList<Official> returnedResults ){
        if (returnedResults == null){
            ((TextView) findViewById(R.id.locationPlaceholder)).setText("No Data For Location");
            officialArrayList.clear();
        }
        else {
            officialArrayList.clear();
            ArrayList<Official> officialExtraList = (ArrayList<Official>) returnedResults;
            for (int index = 0; index < officialExtraList.size(); index++){
                Log.d(TAG, "inside srol: " + officialExtraList.get(index));
                officialArrayList.add(officialExtraList.get(index));
            }
        }
        officialAdapter.notifyDataSetChanged();
    }

    ////////////////////////////////////////////////////////////////////////////////////////////////




    ////////////////////////////////GEOCODER AND LOCATION SERVICES CODE: ///////////////////////////

    //Do location work using geocode on STARTUP
    public void doLatLon(double lat, double lon) {
        Geocoder geocoder = new Geocoder(this, Locale.getDefault());
        try {
            List<Address> addresses;

            String loc = ((TextView) findViewById(R.id.locationPlaceholder)).getText().toString();
            if (loc.trim().isEmpty()) {
                //Toast.makeText(this, "Enter Lat & Lon coordinates first!", Toast.LENGTH_LONG).show();
                return;
            }
            addresses = geocoder.getFromLocation(lat, lon, 10);
            Address fullAddress = addresses.get(0);
            String zipcode = fullAddress.getPostalCode();
            String city = fullAddress.getAdminArea();
            String state = fullAddress.getLocality();
            //Pass the zip to the loader and work out all officials in given area:
            //do that here
            ((TextView) findViewById(R.id.locationPlaceholder)).setText(city + ", " + state + " " + zipcode);
            //Pass this to the async task on startup so we can populate our list:
            new AsyncOfficialDataDownloader(mainAct).execute(zipcode);


        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public String doLocationName(String userRequestedLocation) {
        Geocoder geocoder = new Geocoder(this, Locale.getDefault());
        String fullAddress = "";
        try {
            List<Address> addresses;
            String loc = userRequestedLocation;
            addresses = geocoder.getFromLocationName(loc, 10);
            fullAddress = displayAddresses(addresses);
            Log.d(TAG, "onDoLocName" + fullAddress);
        } catch (IOException e) {
            e.printStackTrace();
        }
        return fullAddress;
    }

    private String displayAddresses(List<Address> addresses) {
        /*
               //Needs to be of format
               City, ST ZIPCODE
         */
        StateMap myStates;
        myStates = new StateMap();

        StringBuilder sb = new StringBuilder();

        for (Address ad : addresses) {

            String a = String.format("%s %s %s",
                    (ad.getLocality() == null ? " " : ad.getLocality()),
                    (ad.getAdminArea() == null ? "" : myStates.getAbbreviation(ad.getAdminArea())),
                    (ad.getPostalCode() == null ? "" : ad.getPostalCode()));
                    sb.append(a.trim());
                    sb.append("\n");

        }
        ((TextView) findViewById(R.id.locationPlaceholder)).setText(sb.toString());
        return sb.toString();
    }

    @Override
    public void onRequestPermissionsResult(
            int requestCode, @NonNull
            String[] permissions, @NonNull
                    int[] grantResults) {

        super.onRequestPermissionsResult(requestCode, permissions, grantResults);

        if (requestCode == MY_LOCATION_REQUEST_CODE_ID) {
            if (permissions[0].equals(Manifest.permission.ACCESS_FINE_LOCATION) &&
                    grantResults[0] == PERMISSION_GRANTED) {
                setLocation();
                return;
            }
        }
        ((TextView) findViewById(R.id.locationPlaceholder)).setText(R.string.no_perm);

    }

    @SuppressLint("MissingPermission")
    private void setLocation() {

        String bestProvider = locationManager.getBestProvider(criteria, true);
        //((TextView) findViewById(R.id.bestText)).setText(bestProvider);

        Location currentLocation = locationManager.getLastKnownLocation(bestProvider);
        Log.d(TAG, "inSetLocation" + currentLocation);
        if (currentLocation != null) {
            ((TextView) findViewById(R.id.locationPlaceholder)).setText(
                    String.format(Locale.getDefault(),
                            "%.4f, %.4f", currentLocation.getLatitude(), currentLocation.getLongitude()));

            doLatLon(currentLocation.getLatitude(), currentLocation.getLongitude());
        }


    }
    ////////////////////////////////////////////////////////////////////////////////////////////////


}